ConnectionInfo (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.ConnectionInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ConnectionInfo

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.ConnectionInfo

All Implemented Interfaces:
  Packet

public class ConnectionInfo
extends AbstractPacket

Describes a Connection

Version:
  $Revision: 1.8 $

Field Summary
`(package private) String` | `clientId`
`(package private) String` | `clientVersion`
`(package private) boolean` | `closed`
`(package private) String` | `hostName`
`(package private) String` | `password`
`(package private) Properties` | `properties`
`(package private) boolean` | `started`
`(package private) long` | `startTime`
`(package private) String` | `userName`
`(package private) int` | `wireFormatVersion`

Fields inherited from class org.codehaus.activemq.message.AbstractPacket
`bitArray, BROKERS_VISITED_INDEX, RECEIPT_REQUIRED_INDEX`

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, WIRE_FORMAT_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`ConnectionInfo()`

Method Summary
`boolean` | `equals(Object obj)` Test for equality
`String` | `getClientId()`
`String` | `getClientVersion()`
`String` | `getHostName()`
`int` | `getPacketType()` Return the type of Packet
`String` | `getPassword()`
`Properties` | `getProperties()`
`long` | `getStartTime()`
`String` | `getUserName()`
`int` | `getWireFormatVersion()`
`int` | `hashCode()`
`boolean` | `isClosed()`
`boolean` | `isStarted()`
`void` | `setClientId(String newClientId)`
`void` | `setClientVersion(String clientVersion)`
`void` | `setClosed(boolean closed)`
`void` | `setHostName(String newHostName)`
`void` | `setPassword(String newPassword)`
`void` | `setProperties(Properties newProperties)`
`void` | `setStarted(boolean started)`
`void` | `setStartTime(long newStartTime)`
`void` | `setUserName(String newUserName)`
`void` | `setWireFormatVersion(int wireFormatVersion)`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`addBrokerVisited, decrementMemoryReferenceCount, equals, getBitArray, getBrokersVisited, getBrokersVisitedAsString, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, hasVisited, incrementMemoryReferenceCount, initializeBrokersVisited, initializeOther, isJMSMessage, isReceipt, isReceiptRequired, setBitArray, setId, setMemoryUsage, setReceiptRequired, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### clientId

    String clientId

### userName

    String userName

### password

    String password

### hostName

    String hostName

### clientVersion

    String clientVersion

### wireFormatVersion

    int wireFormatVersion

### startTime

    long startTime

### started

    boolean started

### closed

    boolean closed

### properties

    Properties properties

Constructor Detail

### ConnectionInfo

    public ConnectionInfo()

Method Detail

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### equals

    public boolean equals(Object obj)

  Test for equality

  Overrides:
    `equals` in class `AbstractPacket`
  Parameters:
    `obj` - object to test
  Returns:
    true if equivalent

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AbstractPacket`
  Returns:
    hash code for instance

### getClientId

    public String getClientId()

  Returns:
    Returns the clientId.

### setClientId

    public void setClientId(String newClientId)

  Parameters:
    `newClientId` - The clientId to set.

### getHostName

    public String getHostName()

  Returns:
    Returns the hostName.

### setHostName

    public void setHostName(String newHostName)

  Parameters:
    `newHostName` - The hostName to set.

### getPassword

    public String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(String newPassword)

  Parameters:
    `newPassword` - The password to set.

### getProperties

    public Properties getProperties()

  Returns:
    Returns the properties.

### setProperties

    public void setProperties(Properties newProperties)

  Parameters:
    `newProperties` - The properties to set.

### getStartTime

    public long getStartTime()

  Returns:
    Returns the startTime.

### setStartTime

    public void setStartTime(long newStartTime)

  Parameters:
    `newStartTime` - The startTime to set.

### getUserName

    public String getUserName()

  Returns:
    Returns the userName.

### setUserName

    public void setUserName(String newUserName)

  Parameters:
    `newUserName` - The userName to set.

### isStarted

    public boolean isStarted()

  Returns:
    Returns the started.

### setStarted

    public void setStarted(boolean started)

  Parameters:
    `started` - The started to set.

### isClosed

    public boolean isClosed()

  Returns:
    Returns the closed.

### setClosed

    public void setClosed(boolean closed)

  Parameters:
    `closed` - The closed to set.

### getClientVersion

    public String getClientVersion()

  Returns:
    Returns the clientVersion.

### setClientVersion

    public void setClientVersion(String clientVersion)

  Parameters:
    `clientVersion` - The clientVersion to set.

### getWireFormatVersion

    public int getWireFormatVersion()

  Returns:
    Returns the wireFormatVersion.

### setWireFormatVersion

    public void setWireFormatVersion(int wireFormatVersion)

  Parameters:
    `wireFormatVersion` - The wireFormatVersion to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.